| M480 BSP V3.05.001 The Board Support Package for M480 Series

Data Fields
s_hsusbd_info Struct Reference
Standard Driver » HSUSBD Driver » HSUSBD Exported Struct

`#include <hsusbd.h>`

## Data Fields
uint8_t * | gu8DevDesc
uint8_t * | gu8ConfigDesc
uint8_t ** | gu8StringDesc
uint8_t * | gu8QualDesc
uint8_t * | gu8FullConfigDesc
uint8_t * | gu8HSOtherConfigDesc
uint8_t * | gu8FSOtherConfigDesc
uint8_t ** | gu8HidReportDesc
uint32_t * | gu32HidReportSize
uint32_t * | gu32ConfigHidDescIdx

## Detailed Description

Definition at line 99 of file hsusbd.h.

## Field Documentation

## ◆ gu32ConfigHidDescIdx

uint32_t* s_hsusbd_info::gu32ConfigHidDescIdx

Pointer for HID Descriptor start index

Definition at line 110 of file hsusbd.h.

## ◆ gu32HidReportSize

uint32_t* s_hsusbd_info::gu32HidReportSize

Pointer for HID Report descriptor Size

Definition at line 109 of file hsusbd.h.

## ◆ gu8ConfigDesc

uint8_t* s_hsusbd_info::gu8ConfigDesc

Config descriptor

Definition at line 102 of file hsusbd.h.

## ◆ gu8DevDesc

uint8_t* s_hsusbd_info::gu8DevDesc

Device descriptor

Definition at line 101 of file hsusbd.h.

## ◆ gu8FSOtherConfigDesc

uint8_t* s_hsusbd_info::gu8FSOtherConfigDesc

Other Speed Config descriptor

Definition at line 107 of file hsusbd.h.

## ◆ gu8FullConfigDesc

uint8_t* s_hsusbd_info::gu8FullConfigDesc

Full Speed Config descriptor

Definition at line 105 of file hsusbd.h.

## ◆ gu8HidReportDesc

uint8_t** s_hsusbd_info::gu8HidReportDesc

Pointer for HID Report descriptor

Definition at line 108 of file hsusbd.h.

## ◆ gu8HSOtherConfigDesc

uint8_t* s_hsusbd_info::gu8HSOtherConfigDesc

Other Speed Config descriptor

Definition at line 106 of file hsusbd.h.

## ◆ gu8QualDesc

uint8_t* s_hsusbd_info::gu8QualDesc

Qualifier descriptor

Definition at line 104 of file hsusbd.h.

## ◆ gu8StringDesc

uint8_t** s_hsusbd_info::gu8StringDesc

Pointer for USB String Descriptor pointers

Definition at line 103 of file hsusbd.h.

The documentation for this struct was generated from the following file:

- StdDriver/inc/hsusbd.h